function x_del = Del_same(x)
%
%  Deleting the same elements in the vector x.
%
%  Written by Wong Foek Tjong, ID. 100127
%  Asian Institute of Technology, 17 December 2003
%
%  Example:  x=[  1   1   2  2   3   3   4];
%            x_del = Del_same(x);
%            x_del ---> [ 1 2 3 4]
%
same_index=[];
for Ix = 1:(length(x)-1)   
    for Jx = (Ix+1):length(x)        
        if x(Ix) == x(Jx)
           same_index = [same_index  Jx];
        end
    end
end    
x(same_index)=[];
x_del=x;